# Uses of Class
org.sunflow.math.BoundingBox

Packages that use BoundingBox
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.light
org.sunflow.core.photonmap
org.sunflow.core.primitive
org.sunflow.core.tesselatable
org.sunflow.math

## Uses of BoundingBox in org.sunflow

Methods in org.sunflow that return BoundingBox
Modifier and Type
Method
Description
`final BoundingBox`
SunflowAPI.`getBounds()`
Retrieve the bounding box of the scene.

## Uses of BoundingBox in org.sunflow.core

Methods in org.sunflow.core that return BoundingBox
Modifier and Type
Method
Description
`BoundingBox`
Instance.`getBounds()`
Get the world space bounding box for this instance.
`BoundingBox`
Scene.`getBounds()`
Get scene world space bounding box.
`BoundingBox`
PrimitiveList.`getWorldBounds(Matrix4 o2w)`
Compute a bounding box of this object in world space, using the specified object-to-world transformation matrix.
`BoundingBox`
Tesselatable.`getWorldBounds(Matrix4 o2w)`
Compute a bounding box of this object in world space, using the specified object-to-world transformation matrix.
Methods in org.sunflow.core with parameters of type BoundingBox
Modifier and Type
Method
Description
`void`
PhotonStore.`prepare(Options options, BoundingBox sceneBounds)`
Initialize this object for the specified scene size.

## Uses of BoundingBox in org.sunflow.core.light

Methods in org.sunflow.core.light that return BoundingBox
Modifier and Type
Method
Description
`BoundingBox`
ImageBasedLight.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
SunSkyLight.`getWorldBounds(Matrix4 o2w)`

## Uses of BoundingBox in org.sunflow.core.photonmap

Methods in org.sunflow.core.photonmap with parameters of type BoundingBox
Modifier and Type
Method
Description
`void`
CausticPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`
`void`
GlobalPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`
`void`
GridPhotonMap.`prepare(Options options, BoundingBox sceneBounds)`

## Uses of BoundingBox in org.sunflow.core.primitive

Methods in org.sunflow.core.primitive that return BoundingBox
Modifier and Type
Method
Description
`BoundingBox`
CornellBox.`getBounds()`
`BoundingBox`
CubeGrid.`getBounds()`
`BoundingBox`
Background.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
BanchoffSurface.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Box.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
CornellBox.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
CubeGrid.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Cylinder.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Hair.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
JuliaFractal.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
ParticleSurface.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Plane.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
QuadMesh.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Sphere.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
SphereFlake.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
Torus.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
TriangleMesh.`getWorldBounds(Matrix4 o2w)`
Methods in org.sunflow.core.primitive with parameters of type BoundingBox
Modifier and Type
Method
Description
`boolean`
CornellBox.`intersects(BoundingBox box)`

## Uses of BoundingBox in org.sunflow.core.tesselatable

Methods in org.sunflow.core.tesselatable that return BoundingBox
Modifier and Type
Method
Description
`BoundingBox`
BezierMesh.`getWorldBounds(Matrix4 o2w)`
`BoundingBox`
FileMesh.`getWorldBounds(Matrix4 o2w)`

## Uses of BoundingBox in org.sunflow.math

Methods in org.sunflow.math that return BoundingBox
Modifier and Type
Method
Description
`final BoundingBox`
Matrix4.`transform(BoundingBox b)`
Transforms each corner of the specified axis-aligned bounding box and returns a new bounding box which incloses the transformed corners.
Methods in org.sunflow.math with parameters of type BoundingBox
Modifier and Type
Method
Description
`final void`
BoundingBox.`include(BoundingBox b)`
Changes the extents of the box as needed to include the given box into this box.
`final boolean`
BoundingBox.`intersects(BoundingBox b)`
Returns `true` if the specified bounding box intersects this one.
`final BoundingBox`
Matrix4.`transform(BoundingBox b)`
Transforms each corner of the specified axis-aligned bounding box and returns a new bounding box which incloses the transformed corners.
Constructors in org.sunflow.math with parameters of type BoundingBox
Modifier
Constructor
Description
``
`BoundingBox(BoundingBox b)`
Creates a copy of the given box.